Change log for node-redis package in Ubuntu

19 of 9 results
Published in hirsute-release on 2020-12-21
Deleted in hirsute-proposed (Reason: moved to Release)
node-redis (3.0.2+~cs5.18.1-2) unstable; urgency=medium

  * Add node-lodash-packages in test dependencies

 -- Xavier Guimard <email address hidden>  Mon, 21 Dec 2020 06:13:22 +0100
Superseded in hirsute-release on 2020-12-21
Deleted in hirsute-proposed on 2020-12-23 (Reason: moved to Release)
node-redis (3.0.2+~cs5.18.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Add ctype=nodejs to component(s)
  * Use dh-sequence-nodejs
  * Use uscan checksum and repack
  * New upstream version 3.0.2+~cs5.18.1
    Updates: redis-commands 1.6.0
  * Drop cross-spawn dependency (fixes debci)

 -- Xavier Guimard <email address hidden>  Thu, 03 Dec 2020 21:38:24 +0100

Available diffs

Superseded in hirsute-release on 2020-12-04
Published in groovy-release on 2020-07-11
Deleted in groovy-proposed (Reason: moved to Release)
node-redis (3.0.2-2) unstable; urgency=medium

  * Disable error tests incompatible with redis ≥ 6 (Closes: #960105)

 -- Xavier Guimard <email address hidden>  Tue, 12 May 2020 15:22:28 +0200

Available diffs

Superseded in groovy-release on 2020-07-11
Published in focal-release on 2020-04-08
Deleted in focal-proposed (Reason: moved to Release)
node-redis (3.0.2-1) unstable; urgency=medium

  * New upstream version 3.0.2
  * Embed redis-errors and replace double-queue by denque
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Use pkg-js-tools auto install
  * Enable part of upstream test
  * Embed intercept-stdout, is-url, is2, tcp-port-used for test only
  * Update copyright
  * Add lintian overrides

 -- Xavier Guimard <email address hidden>  Mon, 17 Feb 2020 14:04:08 +0100

Available diffs

Superseded in focal-release on 2020-04-08
Obsolete in eoan-release on 2020-12-29
Obsolete in disco-release on 2020-07-14
Deleted in disco-proposed on 2020-12-29 (Reason: moved to release)
node-redis (2.8.0-1) unstable; urgency=medium

  * Add components in gbp.conf and debian/watch (used for test only):
    - redis-commands
    - redis-parser (version 2.x)
    - double-ended-queue
  * Add myself to uploaders
  * Bump debhelper compatibility level to 11
  * Declare compliance with policy 4.3.0
  * Update VCS fields
  * New upstream version 2.8.0
  * Update tests (Closes: #917750, #830215, #842209, #812714)
  * Remove patches
  * Change section to javascript
  * Add upstream/metadata
  * Update links to https
  * Update description
  * Update debian/copyright

 -- Xavier Guimard <email address hidden>  Mon, 07 Jan 2019 20:50:44 +0100

Available diffs

Superseded in disco-release on 2019-01-08
Obsolete in cosmic-release on 2020-07-13
Published in bionic-release on 2017-10-24
Obsolete in artful-release on 2020-07-10
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed (Reason: moved to release)
node-redis (0.12.1-2) unstable; urgency=medium


  * Do not try to stop redis-server service (Closes: #765816)

 -- Leo Iannacone <email address hidden>  Sun, 26 Oct 2014 21:26:28 +0100

Available diffs

Superseded in vivid-release on 2014-10-27
Deleted in vivid-proposed on 2014-10-28 (Reason: moved to release)
node-redis (0.12.1-1) unstable; urgency=medium


  * Imported Upstream version 0.12.1
  * Bump Standards-Version 3.9.6
  * Move to pkg-javascript
  * debian/control:
    - fix Upstream-Name
    - add Upstream-Contact
  * debian/patches:
    - 0001-launch_redis-server_during_test.patch: 
      + launch redis-server with unixsocket options, needed for tests
      + add console.log on redis-server stdout for debug
    - refresh other patches
  * debian/rules: stop default instance of redis-server before
    run tests
  * Add autopkgtest suite

 -- Leo Iannacone <email address hidden>  Sun, 12 Oct 2014 15:26:40 +0200

Available diffs

Superseded in vivid-release on 2014-10-25
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
node-redis (0.10.3-1) unstable; urgency=medium


  * New upstream release.
  * debian/control:
    + Build-depend on nodejs, needed only as hint to resolve
      distro-wide source<->binary relationships
    + Build-depend on redis-server, needed for tests
  * debian/patches:
    + 0001-launch_redis-server_during_test.patch - bundle redis-server
      instance during tests, stop when tests finish
    + 0002-test_fix_colors_during_build.patch - disable colors
      during tests if NODE_DISABLE_COLORS environment variable is set
  * debian/rules: enable tests

 -- Leo Iannacone <email address hidden>  Thu, 19 Jun 2014 18:29:27 +0200

Available diffs

Superseded in utopic-release on 2014-06-19
Deleted in utopic-proposed on 2014-06-21 (Reason: moved to release)
node-redis (0.10.1-1) unstable; urgency=low


  * Initial release (Closes: #742960)

 -- Leo Iannacone <email address hidden>  Wed, 16 Apr 2014 15:39:54 +0200
19 of 9 results